Forge: Image Class Reference

Forge

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Image Class Reference

`#include <image.h>`

## Public Member Functions
FGAPI | Image (unsigned pWidth, unsigned pHeight, ChannelFormat pFormat, dtype pDataType)
| Creates a Image object. More...
FGAPI | Image (const Image &other)
| Copy constructor of Image. More...
FGAPI | ~Image ()
| Image Destructor. More...
FGAPI unsigned | width () const
| Get Image width. More...
FGAPI unsigned | height () const
| Get Image height. More...
FGAPI ChannelFormat | pixelFormat () const
| Get Image's channel format. More...
FGAPI dtype | channelType () const
| Get Image's integral data type. More...
FGAPI unsigned | pbo () const
| Get the OpenGL Pixel Buffer Object identifier. More...
FGAPI unsigned | size () const
| Get the OpenGL Pixel Buffer Object resource size. More...
FGAPI internal::_Image * | get () const
| Get the handle to internal implementation of Image. More...

## Constructor & Destructor Documentation

FGAPI Image | ( | unsigned | pWidth,
|  | unsigned | pHeight,
|  | ChannelFormat | pFormat,
|  | dtype | pDataType
| ) |  |

Creates a Image object.

Parameters

  [in] | pWidth | Width of the image
  [in] | pHeight | Height of the image
  [in] | pFormat | Color channel format of image, uses one of the values of ChannelFormat
  [in] | pDataType | takes one of the values of dtype that indicates the integral data type of histogram data

FGAPI Image | ( | const Image & | other | ) |

Copy constructor of Image.

Parameters

  [in] | other | is the Image of which we make a copy of.

FGAPI ~Image | ( |  | ) |

Image Destructor.

## Member Function Documentation

FGAPI dtype channelType | ( |  | ) | const

Get Image's integral data type.

Returns
  dtype value of Image

FGAPI internal::_Image* get | ( |  | ) | const

Get the handle to internal implementation of Image.

FGAPI unsigned height | ( |  | ) | const

Get Image height.

Returns
  image width

FGAPI unsigned pbo | ( |  | ) | const

Get the OpenGL Pixel Buffer Object identifier.

Returns
  OpenGL PBO resource id.

FGAPI ChannelFormat pixelFormat | ( |  | ) | const

Get Image's channel format.

Returns
  ChannelFormat value of Image

FGAPI unsigned size | ( |  | ) | const

Get the OpenGL Pixel Buffer Object resource size.

Returns
  OpenGL PBO resource size.

FGAPI unsigned width | ( |  | ) | const

Get Image width.

Returns
  image width

The documentation for this class was generated from the following file:

- image.h